Bug 1447768 - [3.5] During cluster issues, node left mounts on the nodes referring to Persistent Storage, these mounts removed all the data from the PVs
Summary: [3.5] During cluster issues, node left mounts on the nodes referring to Persi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 3.5.1
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.5.z
Assignee: hchen
QA Contact: Liang Xia
URL:
Whiteboard:
Depends On: 1447312 1447763 1447764 1447765 1447767
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-03 18:44 UTC by Bradley Childs
Modified: 2020-07-16 09:31 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: During cluster issues, node left mounts on the nodes referring to Persistent Storage, these mounts removed all the data from the PV. Consequence: Data on the PVs are deleted. Fix: Cleaning up Pods on the nodes doesn't delete data on PVs. Result: Data on the PVs are no longer deleted during Pods cleanup.
Clone Of: 1447767
Environment:
Last Closed: 2017-06-15 18:39:05 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:1425 0 normal SHIPPED_LIVE OpenShift Container Platform 3.5, 3.4, 3.3, and 3.2 bug fix update 2017-06-15 22:35:53 UTC

Comment 1 Eric Paris 2017-05-11 15:54:03 UTC
https://github.com/openshift/ose/pull/730

Comment 2 Liang Xia 2017-05-24 10:56:27 UTC
Verified on v3.5.5.18

Steps:
1. Set up cluster with 1 master, 2 nodes.
2. Create NFS PV and create an app using the jenkins-persistent template.
3. Once the jenkins pod is running, bring down the node which jenkins' pod resides on by stopping it's node service.
4. The pod will be redeployed to another schedulable node(the mount path will exist on both nodes).
5. After the pod is deployed to another node, bring back the stopped node service.
6. On the original node, verify the jenkins pod volume is successfully unmounted, the pod directory is removed while all data in the persistent volume are still there.

Comment 4 Liang Xia 2017-06-05 06:39:53 UTC
According to #comment 2, move bug to verified.

Comment 6 errata-xmlrpc 2017-06-15 18:39:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:1425


Note You need to log in before you can comment on or make changes to this bug.